2012年03月29日

Notice: has_cap の使用はバージョン 2.0 から非推奨になりました ! 代わりに プラグインやテーマでのユーザーレベルの使用は推奨されていません。代わりに権限グループと権限を使ってください。の直し方。

http://ja.forums.wordpress.org/topic/6640
add_options_page() という関数内の第3引数に「数字」が設定されているとこのエラーが出ると思います。Notice で表示されているファイルではなく、恐らくプラグインのメインファイルにその記述があるので、プラグインを直接編集する必要があります。


と、あるので
add_options_page()の第三引数が数字のみになっていたら
add_options_page(
__('404 Notifier Options', '404-notifier')
, __('404 Notifier', '404-notifier')
, 10
, basename(__FILE__)
, 'ak404_options_form'
);

な風なのを
add_options_page(
__('404 Notifier Options', '404-notifier')
, __('404 Notifier', '404-notifier')
, 'level_10'
, basename(__FILE__)
, 'ak404_options_form'
);


に変更すれば直ります。

参考までに↓
http://wpdocs.sourceforge.jp/ユーザーの種類と権限

なんか権限があるらしい。
posted by onishi at 15:35| Comment(0) | wordpress | このブログの読者になる | 更新情報をチェックする
この記事へのコメント
コメントを書く
お名前:

メールアドレス:

ホームページアドレス:

コメント: